Package nl.tudelft.simulation.dsol.animation.gis.io

## Enum Endianness

- java.lang.Object
- - java.lang.Enum<Endianness>
  - - nl.tudelft.simulation.dsol.animation.gis.io.Endianness

All Implemented Interfaces:
  `Serializable`, `Comparable<Endianness>`

    public enum Endianness
    extends Enum<Endianness>

Endianness of the data; either big endian (Java, network), or little endian (Intel).

Copyright (c) 2020-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Enum Constant Summary

Enum Constants
`BIG_ENDIAN` BIG ENDIAN.
`LITTLE_ENDIAN` LITTLE ENDIAN.

### Method Summary

All Methods Static Methods Concrete Methods
`static Endianness` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Endianness[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BIG_ENDIAN

    public static final Endianness BIG_ENDIAN

BIG ENDIAN. Aka network byte order. MSB first.

#### LITTLE_ENDIAN

    public static final Endianness LITTLE_ENDIAN

LITTLE ENDIAN. Default in the Intel processors. LSB first.

### Method Detail

#### values

    public static Endianness[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Endianness c : Endianness.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Endianness valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null